#ifndef GAME_LUA_HELP_H
#define GAME_LUA_HELP_H

#include <glm/glm.hpp>
#include <glm/gtc/matrix_transform.hpp>
#include <glm/gtc/type_ptr.hpp>

#include <LuaPlus.h>

LuaPlus::LuaState& GetLuaState();

void luaLoadScript(const char* filename);
void luaDoString(const char* str);
void luaCallFunction(const char* name);

glm::mat4 getMatrixFromLua(LuaPlus::LuaObject& matrix);

#endif